# Pi-StAPrS - Script for Pi-Star & APRS

Gathers GPS and Pi-Star Info to beacon to APRS-IS as location & comment

## About

This script was originally written a couple of years ago to do two things:

```
gather & parse GPS information for an APRS packet
scrape Pi-Star for Talkgroup/Reflector for APRS comment
blast those to APRS-IS
```

The scripts were originally written to run directly on the RPi running Pi-Star;
scraping the information locally and getting GPS from another Pi running 
gpsd. A simple PHP interface was hacked together to turn the beacon on
and off. The entire thing was just permanently set as an every 5-minute
cronjob. 

Pi-Star has some sort of GPS stuff built-in to it; but I couldn't figure out
how to make it work. It's also been a few years since I tried to even run it in
it's current state. I plan on making use of it soon; so it will likely see re-
writes. In fact the method of scraping has changed entirely. 

I also lost the php that handled the activation.

Some of this has been resurrected as a hotspot information display. I will 
update this spot when I get it's repository up. The original page is at:
https://pickmy.org/?page_id=136

# History

```
07-MAY-2022 - Initial Commit
```

# License

    Pi-StAPrS - Script for Pi-Star & APRS
    Copyright (C) 2022 Jay Moore - nq4tango@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
